<?php

namespace Drupal\block_visibility_groups;

use Drupal\Core\Config\Entity\ConfigEntityInterface;
use Drupal\Core\Entity\EntityWithPluginCollectionInterface;

/**
 * Provides an interface for defining Block Visibility Group entities.
 */
interface BlockVisibilityGroupInterface extends ConfigEntityInterface, EntityWithPluginCollectionInterface {
  // Add get/set methods for your configuration properties here.

  /**
   * Gets the Block Visibility Group description.
   *
   * @return string
   *   Description of the Block Visibility Group.
   */
  public function getDescription();

  /**
   * Sets the Block Visibility Group description.
   *
   * @param string $description
   *   The Block Visibility Group description.
   *
   * @return $this
   */
  public function setDescription($description);

}
